
@media screen and (max-width: 399px) {
  .hero__title h1 {
    font-weight: 500;
    font-size: 2.2rem;
    line-height: 44px;
    padding: 10px 0 0 0;
    margin: 0 auto;
  }
  .hero__box p {
    font-size: 1.1rem;
  }
  .hero__photo {
    margin-top: 12px;
  }
  .hero__box-info {
    gap: 18px;
  }
  .button {
    font-size: 1rem;
    padding: 8px 24px;
  }
  .gallery__section {
    margin: 0 auto;
    padding-bottom: 20px;
  }
  .gallery__title {
    font-size: 1.2rem;
    padding-bottom: 20px;
  }
  .gallery__container {
    padding: 0 0 20px 0;
  }
}

@media screen and (max-width: 479px) {
  .logo p {
    font-size: 1.1rem;
  }
  .menu {
    padding-right: 0;
    padding-left: 6px;
    gap: 8px;
  }
}

@media screen and (min-width: 480px) {
  .menu {
    gap: 30px;
  }
}

@media screen and (min-width: 400px) and (max-width: 899px) {
  .hero__section {
    padding-bottom: 10px;
  }
  .hero__title h1 {
    font-weight: 500;
    font-size: 2.6rem;
    line-height: 48px;
    padding: 20px 0 20px 0;
  }
  .hero__box-info {
    gap: 30px;
  }
  .gallery__container {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, 1fr);
  }
}

@media screen and (max-width: 768px) {
  .hero__box {
    width: 100%;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    gap: 30px;
  }
  .hero__box-info {
    width: 100%;
  }
  .hero__box p {
    width: 100%;
  }
}

@media screen and (min-width: 900px) {
  .menu {
    gap: 60px;
    padding: 10px 20px 10px 20px;
  }
  .gallery__container {
    width: 90%;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }
}
